Bug 4495 - keyboard layout 'dvorak' is absent
: keyboard layout 'dvorak' is absent
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator-sysconfig)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.linux.com/feature/126415
:
:
:
  Show dependency tree
 
Reported: 2004-06-24 23:43 by
Modified: 2013-08-15 16:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-24 23:43:45
На шаге выбора раскладки клавиатуры невозможно выбрать раскладку Dvorak, потому
что её просто нет в списке. Верните, её, пожалуйста.
------- Comment #1 From 2004-09-20 16:54:39 -------
ALM2.4 released
------- Comment #2 From 2008-02-15 18:43:07 -------
archiving
------- Comment #3 From 2008-02-15 22:28:29 -------
re
------- Comment #4 From 2008-02-15 22:35:09 -------
Перевешиваю на alterator-syskbd -- по крайней мере у буржуев двораковская
раскладка бывает актуальна, см. тж. URL.
------- Comment #5 From 2008-02-15 22:36:10 -------
Среди меня тоже актуальна!
------- Comment #6 From 2008-02-16 13:05:32 -------
offtopic: dottedmag, ты ей повседневно пользуешься? Просто интересно :)
------- Comment #7 From 2008-02-16 13:09:18 -------
[двойной оффтопик] 2ktirf: да. йцукен, dvorak плюс самопальный режим для 
чешских умляутов плюс qwerty, если кому-то срочно нужно набрать пару слов, а 
никакого другого компьютера под рукой нет. Подробности, если интересно - в 
другом месте :)
------- Comment #8 From 2008-02-17 18:44:08 -------
Дайте мне примеры конфигурации для kbd и для xkb - добавлю.
Но сам тратить время на это не планирую ;)
------- Comment #9 From 2008-02-18 23:59:33 -------
А мне ссылку на русскую дворак раскладку
------- Comment #10 From 2008-02-19 00:23:06 -------
(In reply to comment #9)
> А мне ссылку на русскую дворак раскладку

Сюрприз: это ЙЦУКЕН
------- Comment #11 From 2008-02-19 00:45:15 -------
Первый раз об этом слышу. Всегда считал, что эта раскладка была сделана
создателями QWERTY. Поискав в wikipedia я не нашёл подтверждения вашим словам:

http://ru.wikipedia.org/wiki/ЙЦУКЕН
http://ru.wikipedia.org/wiki/QWERTY
http://ru.wikipedia.org/wiki/Клавиатура_Дворака
------- Comment #12 From 2008-02-19 00:50:06 -------
Оказывается и правда - ЙЦУКЕН делали по-другому: http://www.zubachev.ru/
Layout.htm
------- Comment #13 From 2008-02-19 00:56:58 -------
Собственно, dvorak-like раскладка для русского в последней ссылке и приведена. 
То ли попробовать?
------- Comment #14 From 2008-02-20 11:29:19 -------
(In reply to comment #13)
> Собственно, dvorak-like раскладка для русского в последней ссылке и приведена. 
> То ли попробовать?
Насколько понимаю (могу не понимать), малоосмысленно: двораковская раскладка
"там" решает проблемы дизайна qwerty (которая, как известно, оптимизировалась
чуть ли не против скорости -- чтоб не зацеплялись рычаги; слышал ещё, что
подгибали под нахождение букв слова "typewriter" в одном ряду, шоб продавец мог
убедительно и быстро натыкать клиенту это слово, не разыскивая особо буквы).

А "йцукен", в отличие от фонетически содранной с qwerty "яверты" (которой тоже
когда-то пользовался) -- дизайнили.  Так что оно просто good enough. :)

PS: http://www.computerra.ru/print/focus/331407/
PPS: доехал хорошо :)
------- Comment #15 From 2008-02-20 11:35:56 -------
Дизайнили йцукен тоже не под сегодняшние клавиатуры, а под пишмашинки, хоть и 
более позднего времени, на которых рычаги уже не залипали: посмотри на ссылку, 
которую я откопал - судя по тому, что автор посчитал, дизайнили йцукен под 
максимальную загрузку указательных пальцев, как наиболее сильных, а с 
отмиранием механических клавиатур это более неактуально и нужно равномерно 
грузить все пальцы, кроме, может быть, мизинцев.
------- Comment #16 From 2013-08-15 16:24:12 -------
apparently wontfix